Subject: bug#23154: New iteration on the Emacs homepage

From: Yoni Rabkin <[email-masked]>
Date: Wed, 30 Mar 2016 07:40:27 -0400

Nicolas Petton <[email-masked]> writes:

> Yoni Rabkin <[email-masked]> writes:
>
>> As long as we are on this topic, someone has just pointed out to me (on
>> #fsf IRC) that the CSS files are being served from third-party servers,
>> namely:
>>
>> https://code.cdn.mozilla.net/fonts/fira.css
>> https://maxcdn.bootstrapcdn.com/font-awesome/4.5.0/css/font-awesome.min.css
>
> I removed the second one (it was unused).
>
>> I feel like it would be better if those CSS files would be served from
>> fsf-controlled URLs like static.fsf.org, so that the FSF has control
>> over them.
>
> I can do that.
>
>> This would have the additional benefit of not leaking information about
>> anyone visiting fsf.org to third-parties.
>
> But it has a cost too: it won't be served by the Mozilla CDN, and
> we'll have to maintain this file.

The marginal cost of maintaining one extra file when the FSF is already
maintaining such a large website is well... marginal.

But it's a matter of policy. The real question is whether the FSF are ok
with it on principle.

-- 
   "Cut your own wood and it will warm you twice"